GET BillingCharges?processId={processId}&statementId={statementId}&number={number}&page={page}&pageSize={pageSize}
Gets all the billing charges, represented as ProcessesBillingChargeDto.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| processId |
Filter by charge process id, null for all (optional, null by default). |
globally unique identifier |
None. |
| statementId |
Filter by charge statement id, null for all (optional, null by default). |
globally unique identifier |
None. |
| number |
Filter by charge number, null for all (optional, null by default). |
string |
None. |
| page |
The page (optional, 1 by default). |
integer |
Default value is 1 |
| pageSize |
The page size (optional, 50 by default). |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
A collection of charges.
ResponseContainerOfProcessesBillingChargeDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Content | Collection of ProcessesBillingChargeDto |
None. |
|
| TotalCount | integer |
None. |
|
| TotalPages | integer |
None. |
|
| PageSize | integer |
None. |
|
| CurrentPage | integer |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.